## Changes between Rasqal 0.9.26 and 0.9.27

### New functions, types and enums

Functions

- rasqal_literal* `rasqal_new_numeric_literal_from_long`(rasqal_world* world, rasqal_literal_type type, long value)

- int `rasqal_query_has_variable2`(rasqal_query* query, rasqal_variable_type type, const unsigned char *name)

- int `rasqal_query_set_variable2`(rasqal_query* query, rasqal_variable_type type, const unsigned char *name, rasqal_literal* value)

- void `rasqal_query_set_wildcard`(rasqal_query* query, int wildcard)

- int `rasqal_variables_table_add_variable`(rasqal_variables_table* vt, rasqal_variable* variable)

- int `rasqal_variables_table_contains`(rasqal_variables_table* vt, rasqal_variable_type type, const unsigned char *name)

- rasqal_variable* `rasqal_variables_table_get_by_name`(rasqal_variables_table* vt, rasqal_variable_type type, const unsigned char *name)

- long `rasqal_xsd_decimal_get_long`(rasqal_xsd_decimal* dec, int* error_p)